﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace ContextMenuDifferentEventNameOnMacAndPC
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();

			bool rightClickAllowed = Application.Current.Host.Settings.Windowless;

			if (rightClickAllowed)
			{
				// By default RadContextMenu will open on Right click.
				this.InstructionsText.Text = "Right click the red rectangle to open a context menu";
			}
			else
			{
				// Set EventName and ModifierKey for Mac users
				this.ContextMenu1.ModifierKey = ModifierKeys.Control;
				this.ContextMenu1.EventName = "MouseLeftButtonDown";
				this.InstructionsText.Text = "Ctrl+LeftClick the red rectangle to open a context menu";
			}
		}
	}
}
